<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV098-49-ga9cb64a5:2022-11-14#


/**
 * Plugin Name: WooCommerce GPWebPayGpe GooglePay
 * Description: WooCommerce payment plugin for GPWebPayGpe GooglePay
 * Version: 98.49
 * Plugin URI: https://www.platiti.cz/
 * Text Domain: WooCommerceAdapter
 * Author: Miroslav Novak www.platiti.cz
 */


require_once(WP_PLUGIN_DIR ."/WooCommerceAdapter/WooCommerceAdapter.php");

add_action( 'plugins_loaded', 'init_wc_gpwebpaygpegooglepay_class');

function init_wc_gpwebpaygpegooglepay_class(){

	class GPWebPayGpeBinderGooglePay extends WC_UniAdapter {

		public function __construct() {
			parent::__construct( 'GPWebPayGpe', 'GooglePay' );
		}
	}
}

add_filter( 'woocommerce_payment_gateways', 'woocommerce_add_gpwebpaygpegooglepay_class' );

function woocommerce_add_gpwebpaygpegooglepay_class($methods){
	$methods[] = 'GPWebPayGpeBinderGooglePay';
	return $methods;
}

register_activation_hook( __FILE__, 'unimodul_plugin_activated' );

add_action( 'woocommerce_after_add_to_cart_form', function () {(new GPWebPayGpeBinderGooglePay())->showProductInstallmentEmbedHtml();} );
